#
# spec file for package python-pytest-spec
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-spec
Version:        3.2.0
Release:        2.1
Summary:        Plugin to display pytest execution output like a specification
License:        GPL-2.0-only
URL:            https://github.com/pchomik/pytest-spec
Source:         https://files.pythonhosted.org/packages/source/p/pytest-spec/pytest-spec-%{version}.tar.gz
# https://github.com/pchomik/pytest-spec/compare/3.2.0...master
Patch1:         python-pytest-spec-nopython2.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
pytest plugin to display test execution output like a specification.

%prep
%autosetup -p1 -n pytest-spec-%{version}

%build
%python_build

%install
%python_install
# Do not install tests
%python_expand rm -r %{buildroot}%{$python_sitelib}/test
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/pytest_spec*

%changelog
* Thu Sep 14 2023 pgajdos@suse.com
- drop python2 support completely, python-six not required
- deleted patches
  - remove-mock.patch (upstreamed)
- added patches
  fix https://github.com/pchomik/pytest-spec/compare/3.2.0...master
  + python-pytest-spec-nopython2.patch
* Thu Mar 24 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 3.2.0:
  * Added support for multiline docstrings
  * Added logic to use docstring_summary instead of test name
  * Added logic to ignore some tests from spec output
  * Changed indicator for skipped tests
  * Improve formatting for functions
  * Changed actions to test against python and pytest versions
  * Added tests to sdist
- Add patch remove-mock.patch:
  * Use stdlib unittest.mock
- Correct filelist, and do not install test directory under sitelib.
- Remove mock from {Build,}Requires, add six.
- Drop seperate LICENSE, it's now included.
- Actually run the testsuite.
* Thu Nov  5 2020 Marketa Machova <mmachova@suse.com>
- Update to 3.0.5
  * Fixed SyntaxWarning issue
  * Fixed output format for pytest-describe
  * Active plugin only if -q or -v was not provided
  * Fixed Python 2/3 warnings
  * Added support for Python 3.9
* Wed Dec 18 2019 John Vandenberg <jayvdb@gmail.com>
- Dropped no longer necessary pytest4.patch
- Update to v2.0.0
  * Update documentation
  * New format of output
  * Fix small warnings
  * Generate the package in wheel format
* Thu Aug 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patches to work with new pytest:
  * pytest4.patch
* Thu Mar 21 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.1.0
